%**********************************************************
% Example 3: function paraf.m                             *
% Used by calc_para_eq.m			          *
%**********************************************************
function fun=paraf(nc)
global uc0 cmp depcmp intcmp
for ix=1:2
	ieq=1000+ix;
	tc_select_equilibrium(ieq);
	ncc=uc0*nc;

	rsumu(ix)=0;
	s=sprintf('MU(%s)',intcmp);
	tc_set_condition(s,ncc);

	tc_compute_equilibrium;
	tc_check_error;

	nx=length(cmp);
	for jx=1:nx
		if strcmp(cmp{jx},intcmp)  ;
			s=sprintf('MU(%s)',cmp{jx});
			muc(ix)=tc_get_value(s);
		else
			s=sprintf('N(%s)',cmp{jx});
			ucc=tc_get_value(s);
			s=sprintf('MU(%s)',cmp{jx});
			mucc=tc_get_value(s);
			rsumu(ix)=rsumu(ix)+ucc*mucc;
		end;
	end;

end

fun=(rsumu(1)/rsumu(2)-1)^2;
