%*****************************************************
% Example 3: function qparaf.m                       *
% Used by calc_para_eq.m                             *
%*****************************************************
function fun=qparaf(nc)
global uc0 cmp depcmp intcmp

for ix=1:2
	ieq=1000+ix;
	tc_select_equilibrium(ieq);
	ncc=uc0*nc;

	rsumu(ix)=0;
	s=sprintf('MU(%s)',intcmp);
	tc_set_condition(s,ncc);

	if ix == 2 ;
		nx=length(cmp);
		for jx=1:nx
			if ~strcmp(cmp{jx},intcmp);
				if ~strcmp(cmp{jx},depcmp);
					s=sprintf('MU(%s)',cmp{jx});
					tc_set_condition(s,mux(jx));
				end
			end
		end		
	end


	tc_compute_equilibrium;
	tc_check_error;


	if ix == 1 ;
		nx=length(cmp);
		for jx=1:nx
			if ~strcmp(cmp{jx},intcmp);
				if ~strcmp(cmp{jx},depcmp);
					s=sprintf('MU(%s)',cmp{jx});
					mux(jx)=tc_get_value(s);
				end
			end
		end		
	end
	
	nx=length(cmp);
	for jx=1:nx
		if strcmp(cmp{jx},depcmp)  ;
			s=sprintf('MU(%s)',cmp{jx});
			rsumu(ix)=tc_get_value(s);
		end;
	end;

end

fun=(rsumu(1)/rsumu(2)-1)^2;
